Welcome Dialog

Welcome to the Community!

We have a brand new look! Take a tour with us and explore the latest updates on Adobe Support Community.


Compatability

New Here ,
Apr 26, 2021 Apr 26, 2021

Copy link to clipboard

Copied

I have Lightroom 6. Will this work with the new Apple M1 processor?

TOPICS
FAQ

Views

103

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Advisor ,
Apr 26, 2021 Apr 26, 2021

Copy link to clipboard

Copied

It should work ok under Rosetta 2 which is the Apple emulator for non M1 native programs. Current Lightroom Classic users on the latest versions are not happy with the performance under Rosetta 2.

 

Adobe has promised a M1 version of Lightroom Classic this spring. For that, you will need to subscribe and use the latest versions of Lightroom Classic. 

Kenneth Seals

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Apr 26, 2021 Apr 26, 2021

Copy link to clipboard

Copied

Lightroom 6 can’t be installed on macOS 10.15 or later, when Apple started enforcing tighter restrictions on application security and other requirements. Because Lightroom 6 didn’t make it to 10.15, it is not compatible with macOS 10.11, which is the earliest system Apple Silicon Macs can use.

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Adobe Community Professional ,
Apr 27, 2021 Apr 27, 2021

Copy link to clipboard

Copied

LATEST

I assume it won't work, not even under Rosetta 2. The reason is not tighter security in MacOS, but the fact that both the Lightroom 6 installer and the license verification are 32 bits, and 32 bits apps are no longer supported since MacOS Catalina.

 

-- Johan W. Elzenga

Likes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines